PutAllOperationContext (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.operations, class: PutAllOperationContext

Package org.apache.geode.cache.operations

# Class PutAllOperationContext

java.lang.Object
org.apache.geode.cache.operations.OperationContext
org.apache.geode.cache.operations.PutAllOperationContext

@Deprecated public class PutAllOperationContext extends OperationContext
Deprecated.
since Geode1.0, use `ResourcePermission` instead
Encapsulates a `OperationContext.OperationCode.PUTALL` operation for both the pre-operation and post-operation cases.

Since:
  GemFire 5.7

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.geode.cache.operations.OperationContext

  `OperationContext.OperationCode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PutAllOperationContext(Map map)`
  Deprecated.
  Constructor for the operation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getCallbackArg()`
  Deprecated.
  Get the callback argument object for this operation.
  `<K, V> Map<K,V>`
  `getMap()`
  Deprecated.
  Returns the map whose keys and values will be put.
  `OperationContext.OperationCode`
  `getOperationCode()`
  Deprecated.
  Return the operation associated with the `OperationContext` object.
  `boolean`
  `isPostOperation()`
  Deprecated.
  True if the context is for post-operation.
  `void`
  `setCallbackArg(Object callbackArg)`
  Deprecated.
  Set the callback argument object for this operation.
  `void`
  `setMap(Map map)`
  Deprecated.
  use getMap() instead and modify the values in the map it returns
  `protected void`
  `setPostOperation()`
  Deprecated.
  Set the post-operation flag to true.

  ### Methods inherited from class org.apache.geode.cache.operations.OperationContext

  `isClientUpdate, isClientUpdate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PutAllOperationContext

    public PutAllOperationContext(Map map)
    Deprecated.
    Constructor for the operation.
    Parameters:
      `map` - the map of keys and values to put

- ## Method Details

  - ### getOperationCode

    public OperationContext.OperationCode getOperationCode()
    Deprecated.
    Return the operation associated with the `OperationContext` object.
    Specified by:
      `getOperationCode` in class `OperationContext`
    Returns:
      `OperationCode.PUTALL`.

  - ### isPostOperation

    public boolean isPostOperation()
    Deprecated.
    True if the context is for post-operation.
    Specified by:
      `isPostOperation` in class `OperationContext`
    Returns:
      whether the context is for post-operation

  - ### setPostOperation

    protected void setPostOperation()
    Deprecated.
    Set the post-operation flag to true.

  - ### getMap

    public <K, V> Map<K,V> getMap()
    Deprecated.
    Returns the map whose keys and values will be put. Note that only the values of this map can be changed. You can not add or remove keys. Any attempt to modify the returned map with an operation that is not supported will throw an UnsupportedOperationException. If the returned map is modified and this is a pre-operation authorization then the modified map is what will be used by the operation.
    Type Parameters:
      `K` - the type of keys in the map
      `V` - the type of values in the map
    Returns:
      the map whose keys and values will be put

  - ### setMap

    @Deprecated public void setMap(Map map)
    Deprecated.
    use getMap() instead and modify the values in the map it returns
    Set the authorized map.
    Parameters:
      `map` - the authorized map to set
    Throws:
      `IllegalArgumentException` - if the given map is null or if its keys are not the same as the original keys.

  - ### getCallbackArg

    public Object getCallbackArg()
    Deprecated.
    Get the callback argument object for this operation.
    Returns:
      the callback argument object for this operation.
    Since:
      GemFire 8.1

  - ### setCallbackArg

    public void setCallbackArg(Object callbackArg)
    Deprecated.
    Set the callback argument object for this operation.
    Parameters:
      `callbackArg` - the callback argument object for this operation.
    Since:
      GemFire 8.1